////////////////////////////////////////
// Programming project code
// UniBw M, 2022, 2023, 2024
// www.unibw.de/inf2
// (c) Mark Minas (mark.minas@unibw.de)
////////////////////////////////////////

package pp.battleship.game.client;

/**
 * Represents the state of the client when the game is over.
 */
class GameOverState extends ClientState {
    /**
     * Constructs a new instance of GameOverState.
     *
     * @param logic the client game logic
     */
    GameOverState(ClientGameLogic logic) {
        super(logic);
    }

    /**
     * Returns true to indicate that the battle state should be shown.
     *
     * @return true if the battle state should be shown
     */
    @Override
    public boolean showBattle() {
        return true;
    }
}
